Table of Contents

## Name

AuAnyEvent - any event structure

## Structures

#include <audio/audiolib.h>

typedef union _AuEvent
{
. . .
AuAnyEvent auany;
. . .
}AuEvent;

typedef struct _AuAnyEvent
{
int type;
AuUint32 serial;
AuBool send_event;
AuServer *server;
AuTime time;
AuID id;
}AuAnyEvent;

## Members

type
  The event type. The currently defined event types are AuEventTypeElementNotify, AuEventTypeGrabNotify, and AuEventTypeMonitorNotify.
serial
  The serial ID of the event expanded from the 16 bit value sent by the server.
send_event
  AuTrue if the event came from a SendEvent protocol request.
server
  The connection to the audio server that the event was read from.
time
  The server time in milliseconds when the event was generated.
id
  The ID of the source of the event.

## Description

AuAnyEvent is a generic event structure containing members common to all event types.

## See Also

AuElementNotifyEvent, AuMonitorNotifyEvent, AuGrabNotifyEvent, AuErrorEvent.

audiolib - Network Audio System C Language Interface

Table of Contents

- Name
- Structures
- Members
- Description
- See Also